
%global meadversion 2.6.1
%global namedversion 2.6.1.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 4

%bcond_with javadoc
%bcond_without mead

%define maven_version 2.6.1.redhat-2

Name:           apache-cxf-xjc-utils
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache CXF XJC Utils
# FIXME: not in POM
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: xjc-utils-2.6.1.redhat-2-scm-sources.zip
Source102: cxf-xjc-plugin-2.6.1.redhat-2.jar
Source103: cxf-xjc-plugin-2.6.1.redhat-2-sources.jar
Source104: cxf-xjc-plugin-2.6.1.redhat-2.pom
Source105: cxf-xjc-plugin-2.6.1.redhat-2-javadoc.jar
Source106: cxf-xjc-bug671-2.6.1.redhat-2-javadoc.jar
Source107: cxf-xjc-bug671-2.6.1.redhat-2-sources.jar
Source108: cxf-xjc-bug671-2.6.1.redhat-2.pom
Source109: cxf-xjc-bug671-2.6.1.redhat-2.jar
Source110: xjc-utils-2.6.1.redhat-2.pom
Source111: cxf-xjc-boolean-test-2.6.1.redhat-2-sources.jar
Source112: cxf-xjc-boolean-test-2.6.1.redhat-2.pom
Source113: cxf-xjc-boolean-test-2.6.1.redhat-2.jar
Source114: cxf-xjc-ts-test-2.6.1.redhat-2-sources.jar
Source115: cxf-xjc-ts-test-2.6.1.redhat-2.jar
Source116: cxf-xjc-ts-test-2.6.1.redhat-2.pom
Source117: cxf-xjc-wsdlextension-test-2.6.1.redhat-2.jar
Source118: cxf-xjc-wsdlextension-test-2.6.1.redhat-2-sources.jar
Source119: cxf-xjc-wsdlextension-test-2.6.1.redhat-2.pom
Source120: cxf-xjc-wsdlextension-2.6.1.redhat-2-sources.jar
Source121: cxf-xjc-wsdlextension-2.6.1.redhat-2.pom
Source122: cxf-xjc-wsdlextension-2.6.1.redhat-2.jar
Source123: cxf-xjc-wsdlextension-2.6.1.redhat-2-javadoc.jar
Source124: cxf-xjc-dv-test-2.6.1.redhat-2.jar
Source125: cxf-xjc-dv-test-2.6.1.redhat-2.pom
Source126: cxf-xjc-dv-test-2.6.1.redhat-2-sources.jar
Source127: cxf-xjc-dv-2.6.1.redhat-2-javadoc.jar
Source128: cxf-xjc-dv-2.6.1.redhat-2.pom
Source129: cxf-xjc-dv-2.6.1.redhat-2.jar
Source130: cxf-xjc-dv-2.6.1.redhat-2-sources.jar
Source131: cxf-xjc-boolean-2.6.1.redhat-2-javadoc.jar
Source132: cxf-xjc-boolean-2.6.1.redhat-2.jar
Source133: cxf-xjc-boolean-2.6.1.redhat-2.pom
Source134: cxf-xjc-boolean-2.6.1.redhat-2-sources.jar
Source135: cxf-xjc-ts-2.6.1.redhat-2-javadoc.jar
Source136: cxf-xjc-ts-2.6.1.redhat-2.pom
Source137: cxf-xjc-ts-2.6.1.redhat-2.jar
Source138: cxf-xjc-ts-2.6.1.redhat-2-sources.jar
Source139: cxf-xjc-pl-2.6.1.redhat-2.jar
Source140: cxf-xjc-pl-2.6.1.redhat-2-sources.jar
Source141: cxf-xjc-pl-2.6.1.redhat-2-javadoc.jar
Source142: cxf-xjc-pl-2.6.1.redhat-2.pom
Source143: cxf-xjc-runtime-2.6.1.redhat-2-sources.jar
Source144: cxf-xjc-runtime-2.6.1.redhat-2-javadoc.jar
Source145: cxf-xjc-runtime-2.6.1.redhat-2.pom
Source146: cxf-xjc-runtime-2.6.1.redhat-2.jar
%endif

URL:            http://cxf.apache.org
Requires:       cxf-xjc-boolean = %{epoch}:%{version}-%{release}
Requires:       cxf-xjc-dv = %{epoch}:%{version}-%{release}
Requires:       cxf-xjc-ts = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/xjc-utils-%{namedversion}-%{release}-root

%description
%{summary}.

%package -n xjc-utils
Summary:        Apache CXF XJC Utils
Group:          Development/Java

Obsoletes:      apache-cxf-xjc-utils < 0:2.6.0-3
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       apache >= 0:8.redhat
%endif

%description -n xjc-utils
%{summary}.

%package -n cxf-xjc-dv
Summary:        Apache CXF XJC Default Value Plugin
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       xjc-utils = %{epoch}:%{version}-%{release}

%description -n cxf-xjc-dv
%{summary}.

%package -n cxf-xjc-ts
Summary:        Apache CXF XJC toString Plugin
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       xjc-utils = %{epoch}:%{version}-%{release}
%if 0
Requires:       commons-lang >= 0:2.4
%else
Requires:       jakarta-commons-lang >= 0:2.4
%endif

%description -n cxf-xjc-ts
%{summary}.

%package -n cxf-xjc-boolean
Summary:        Apache CXF XJC Boolean Getter Plugin
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       xjc-utils = %{epoch}:%{version}-%{release}

%description -n cxf-xjc-boolean
%{summary}.

%package -n cxf-xjc-wsdlextension
Summary:        Apache CXF XJC WSDL Extension Plugin
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       xjc-utils = %{epoch}:%{version}-%{release}
Requires:       commons-lang >= 0:2.4
Requires:       wsdl4j >= 0:1.6.2

%description -n cxf-xjc-wsdlextension
%{summary}.

%package -n cxf-xjc-pl
Summary:        Apache CXF XJC Property Listener Plugin
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       xjc-utils = %{epoch}:%{version}-%{release}

%description -n cxf-xjc-pl
%{summary}.

%if %with javadoc
%package -n xjc-utils-javadoc
Summary:        Javadoc for xjc-utils
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n xjc-utils-javadoc
%{summary}.
%endif

%prep
%setup -q -n xjc-utils -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/cxf-xjc-dv-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-dv-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-dv-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-dv-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-dv-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-dv-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-ts-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-ts-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-ts-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-ts-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-ts-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-ts-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-boolean-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-boolean-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-boolean-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-boolean-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-boolean-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-boolean-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-wsdlextension-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-wsdlextension-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-wsdlextension-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-wsdlextension-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-wsdlextension-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-wsdlextension-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-pl-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-pl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-pl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-pl-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-pl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-pl-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/xjc-utils-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-xjc-utils.pom
%{__cp} -p %{_sourcedir}/cxf-xjc-dv-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-cxf-xjc-dv.pom
%{__cp} -p %{_sourcedir}/cxf-xjc-ts-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-cxf-xjc-ts.pom
%{__cp} -p %{_sourcedir}/cxf-xjc-boolean-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-cxf-xjc-boolean.pom
%{__cp} -p %{_sourcedir}/cxf-xjc-wsdlextension-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-cxf-xjc-wsdlextension.pom
%{__cp} -p %{_sourcedir}/cxf-xjc-pl-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-cxf-xjc-pl.pom

# depmaps
%add_to_maven_depmap org.apache.cxf.xjc-utils xjc-utils %{namedversion} JPP xjc-utils
[ %{name} = "xjc-utils" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/xjc-utils
%add_to_maven_depmap org.apache.cxf.xjcplugins cxf-xjc-dv %{namedversion} JPP cxf-xjc-dv
[ %{name} = "cxf-xjc-dv" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/cxf-xjc-dv
%add_to_maven_depmap org.apache.cxf.xjcplugins cxf-xjc-ts %{namedversion} JPP cxf-xjc-ts
[ %{name} = "cxf-xjc-ts" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/cxf-xjc-ts
%add_to_maven_depmap org.apache.cxf.xjcplugins cxf-xjc-boolean %{namedversion} JPP cxf-xjc-boolean
[ %{name} = "cxf-xjc-boolean" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/cxf-xjc-boolean
%add_to_maven_depmap org.apache.cxf.xjcplugins cxf-xjc-wsdlextension %{namedversion} JPP cxf-xjc-wsdlextension
[ %{name} = "cxf-xjc-wsdlextension" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/cxf-xjc-wsdlextension
%add_to_maven_depmap org.apache.cxf.xjcplugins cxf-xjc-pl %{namedversion} JPP cxf-xjc-pl
[ %{name} = "cxf-xjc-pl" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/cxf-xjc-pl

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/cxf-xjc-pl-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/cxf-xjc-pl-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/cxf-xjc-pl-%{namedversion} -x META-INF/\*
%{__ln_s} cxf-xjc-pl-%{namedversion} %{buildroot}%{_javadocdir}/cxf-xjc-pl
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n xjc-utils
%update_maven_depmap

%postun -n xjc-utils
%update_maven_depmap

%post -n cxf-xjc-dv
%update_maven_depmap

%postun -n cxf-xjc-dv
%update_maven_depmap

%post -n cxf-xjc-ts
%update_maven_depmap

%postun -n cxf-xjc-ts
%update_maven_depmap

%post -n cxf-xjc-boolean
%update_maven_depmap

%postun -n cxf-xjc-boolean
%update_maven_depmap

%post -n cxf-xjc-wsdlextension
%update_maven_depmap

%postun -n cxf-xjc-wsdlextension
%update_maven_depmap

%post -n cxf-xjc-pl
%update_maven_depmap

%postun -n cxf-xjc-pl
%update_maven_depmap

%files
%defattr(0644,root,root,0755)

%files -n xjc-utils
%defattr(0644,root,root,0755)
%{_mavenpomdir}/JPP-xjc-utils.pom
%{_mavendepmapfragdir}/xjc-utils

%files -n cxf-xjc-dv
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-dv-%{namedversion}.jar
%{_javadir}/cxf-xjc-dv.jar
%exclude %{_javadir}/cxf-xjc-dv-%{namedversion}-javadoc.jar
%exclude %{_javadir}/cxf-xjc-dv-javadoc.jar
%{_javadir}/cxf-xjc-dv-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-dv-sources.jar
%{_mavenpomdir}/JPP-cxf-xjc-dv.pom
%{_mavendepmapfragdir}/cxf-xjc-dv

%files -n cxf-xjc-ts
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-ts-%{namedversion}.jar
%{_javadir}/cxf-xjc-ts.jar
%exclude %{_javadir}/cxf-xjc-ts-%{namedversion}-javadoc.jar
%exclude %{_javadir}/cxf-xjc-ts-javadoc.jar
%{_javadir}/cxf-xjc-ts-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-ts-sources.jar
%{_mavenpomdir}/JPP-cxf-xjc-ts.pom
%{_mavendepmapfragdir}/cxf-xjc-ts

%files -n cxf-xjc-boolean
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-boolean-%{namedversion}.jar
%{_javadir}/cxf-xjc-boolean.jar
%exclude %{_javadir}/cxf-xjc-boolean-%{namedversion}-javadoc.jar
%exclude %{_javadir}/cxf-xjc-boolean-javadoc.jar
%{_javadir}/cxf-xjc-boolean-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-boolean-sources.jar
%{_mavenpomdir}/JPP-cxf-xjc-boolean.pom
%{_mavendepmapfragdir}/cxf-xjc-boolean

%files -n cxf-xjc-wsdlextension
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-wsdlextension-%{namedversion}.jar
%{_javadir}/cxf-xjc-wsdlextension.jar
%exclude %{_javadir}/cxf-xjc-wsdlextension-%{namedversion}-javadoc.jar
%exclude %{_javadir}/cxf-xjc-wsdlextension-javadoc.jar
%{_javadir}/cxf-xjc-wsdlextension-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-wsdlextension-sources.jar
%{_mavenpomdir}/JPP-cxf-xjc-wsdlextension.pom
%{_mavendepmapfragdir}/cxf-xjc-wsdlextension

%files -n cxf-xjc-pl
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-pl-%{namedversion}.jar
%{_javadir}/cxf-xjc-pl.jar
%exclude %{_javadir}/cxf-xjc-pl-%{namedversion}-javadoc.jar
%exclude %{_javadir}/cxf-xjc-pl-javadoc.jar
%{_javadir}/cxf-xjc-pl-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-pl-sources.jar
%{_mavenpomdir}/JPP-cxf-xjc-pl.pom
%{_mavendepmapfragdir}/cxf-xjc-pl

%if %with javadoc
%files -n xjc-utils-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xjc-utils-%{namedversion}
%{_javadocdir}/xjc-utils
%{_javadir}/xjc-utils-%{namedversion}-javadoc.jar
%{_javadir}/xjc-utils-javadoc.jar
%endif

%changelog
* Thu Sep 26 2013 David Walluck <dwalluck@redhat.com> - 2.6.1-3.redhat_1.1
- create empty main package

* Thu Sep 26 2013 David Walluck <dwalluck@redhat.com> - 2.6.1-2.redhat_1.1
- create xjc-utils package
- remove 6 (of 7) Requires which appear to be bogus

* Thu Aug 08 2013 Yong Yang <yyang@redhat.com> - 2.6.0-1.redhat_4
- Include source jar
- No javadoc package

* Thu Aug 08 2013 Yong Yang <yyang@redhat.com> - 2.6.0-1.redhat_3
- Re-create patch to use apache-parent, fix BZ 988716

* Tue Jul 16 2013 Yong Yang <yyang@redhat.com> - 2.6.0-1.redhat_2
- Rebuild for EAP 6.1.1

* Fri Feb 22 2013 Yong Yang <yyang@redhat.com> - 2.6.0-1.redhat_1
- 2.6.0

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-11.redhat_2.4
- Rebuild for MD5

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-10.redhat_2.4
- Rebuild unsigned

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-10.redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-10.redhat_2.2
- Rebuild unsigned

* Tue Jul 31 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-10.redhat_1.1
- Fix release tag

* Wed Jul 25 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-10_redhat_1.1
- Rebuild unsigned

* Wed Jul 25 2012 Hui Wang <huwang@redhat.com> - 2.4.0-10_redhat_1
- First mead build 
- Fix direcotry of jar installation

* Fri May 04 2012 Hui Wang <huwang@redhat.com> - 2.4.0-9_redhat_1
- Update pom patch to remove repositories
- BR codemodel, istack-commons, xsom, dtd-parser, txw2, txwc2 and rngom which glassfish-jaxb depdends on

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-8_redhat_1.3.1
- Rebuild using cache signing

* Mon Mar 25 2012 Yong Yang <yyang@redhat.com> - 0:2.4.0-8_redhat_1.2
- Update vman patch, set the wsdlextension dep's version, xjc-plugin cannot resolve extension's dep's version by BOMs
- Add BR jvnet-parent

* Wed Feb 08 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.4.0-8_redhat_1.2
- Use new resolver package

* Fri Jan 27 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.4.0-8_redhat_1.1
- Do not reqire maven2 at run-time

* Wed Dec 21 2011 Yong Yang <yyang@redhat.com> - 0:2.4.0-8_redhat_1
- Add Requires for sub-packages
- Add dependencies and B(R)s for xml-commons-resolver12, relaxngDatatype, these are needed for runtime

* Tue Dec 20 2011 Yong Yang <yyang@redhat.com> - 0:2.4.0-7_redhat_1
- Update vman patch
- Add jpp-depmap for jtidy

* Thu Dec 01 2011 Yong Yang <yyang@redhat.com> - 0:2.4.0-6_redhat_1
- Add cxf-xjc-pl

* Wed Nov 30 2011 Yong Yang <yyang@redhat.com> - 0:2.4.0-5_redhat_1
- Fix cxf-xjc-plugin groupId

* Wed Nov 30 2011 Hui Wang <huwang@redhat.com> - 0:2.4.0-4_redhat_1
- Fix repolib

* Tue Nov 29 2011 Hui Wang <huwang@redhat.com> - 0:2.4.0-3_redhat_1
- Rebuild

* Tue Nov 29 2011 Hui Wang <huwang@redhat.com> - 0:2.4.0-2_redhat_1
- Add cxf-xjc-plugin and cxf-xjc-wsdlextension artifacts

* Tue Oct 25 2011 Hui Wang <huwang@redhat.com> - 0:2.4.0-1_redhat_1
- Upgrade tp 2.4.0

* Wed Sep 21 2011 Hui Wang <huwang@redhat.com> - 0:2.3.2-3
- Build for wolf

* Thu Jul 28 2011 Hui Wang <huwang@redhat.com> - 0:2.3.2-2
- Add workaround for deploy-file bug that causes wrong directory of cxf-xjc-boolean.pom and cxf-xjc-bug671.pom

* Thu Jul 28 2011 Hui Wang <huwang@redhat.com> - 0:2.3.2-1
- Upgrade to 2.3.2

* Thu Jul 28 2011 Hui Wang <huwang@redhat.com> - 0:2.3.0-3
- Rebuild

* Thu Jul 21 2011 Hui Wang <huwang@redhat.com> - 0:2.3.0-2
- Rebuild

* Tue Jul 19 2011 Hui Wang <huwang@redhat.com> - 0:2.3.0-1
- First release
